### Enumeration

# Clutter DragAxis

since: 13

#### Declaration

    enum Clutter.DragAxis

#### Description [src]

The axis of the constraint that should be applied on the dragging action.

Available since: 13

#### Members

`CLUTTER_DRAG_AXIS_NONE`

  No constraint.

  - Value: `0`
  - Nickname: `axis-none`
  - Available since: 13
`CLUTTER_DRAG_X_AXIS`

  Set a constraint on the X axis.

  - Value: `1`
  - Nickname: `x-axis`
  - Available since: 13
`CLUTTER_DRAG_Y_AXIS`

  Set a constraint on the Y axis.

  - Value: `2`
  - Nickname: `y-axis`
  - Available since: 13